-- /* $Id: acidfree.pgsql,v 1.1.2.1 2005/10/20 13:40:52 vhmauery Exp $ */ --

--
--
-- Acidfree implements a better photo album than gallery.  Better being
-- defined as doing it The Right Way (TM).  Acidfree was designed as a
-- node based system and written to work seamlessly with Drupal. 
--
-- 
-- Table structure for table `acidfree`
-- 

CREATE TABLE acidfree (
  aid SERIAL,
  class varchar(16) NOT NULL default '',
  large varchar(255) NOT NULL default '',
  small varchar(255) NOT NULL default '',
  thumb varchar(255) NOT NULL default '',
  weight smallint NOT NULL default '0',
  visited integer NOT NULL default '0',
  votes integer NOT NULL default '0',
  PRIMARY KEY (aid)
);


-- 
-- Table structure for table `acidfree_hierarchy`
-- 

CREATE TABLE acidfree_hierarchy (
  child integer NOT NULL default '0',
  parent integer NOT NULL default '0',
  PRIMARY KEY (child,parent)
);


--
-- Some sane start values
--

-- Make it so acidfree nodes are not promoted by default
INSERT INTO variable (name,value) VALUES ('node_options_acidfree', 'a:1:{i:0;s:6:"status";}');
